using System;

namespace Decal.Adapter;

public abstract class ViewBaseAttribute : Attribute
{
	private string myName;

	/// <summary>
	/// Name named attribute
	/// </summary>
	public string ViewName
	{
		get
		{
			return myName;
		}
		set
		{
			myName = value;
		}
	}

	protected ViewBaseAttribute()
	{
		myName = "Default";
	}
}
